Skip to main content
GET
/
v1
/
dsr
/
{id}
Fetch a single DSR request (TRU-57)
curl --request GET \
  --url https://api.trulayer.ai/v1/dsr/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "requested_by": "<string>",
  "subject_id": "<string>",
  "type": "delete",
  "status": "pending",
  "completed_at": "2023-11-07T05:31:56Z",
  "export_url": "<string>",
  "error_msg": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Path Parameters

id
string<uuid>
required

Response

DSR request

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
tenant_id
string<uuid>
required
requested_by
string
required

Clerk user ID of the dashboard user who submitted the request.

subject_id
string
required
type
enum<string>
required
Available options:
delete,
export
status
enum<string>
required
Available options:
pending,
processing,
completed,
failed
completed_at
string<date-time> | null
export_url
string | null

Signed URL pointing at the export artefact. Set only for completed export requests.

error_msg
string | null

Terse failure description. Set only when status = failed.